Subject: Re: [PATCH] .gitignore: Ignore editor backup and swap files

From: Ramsay Jones <[email-masked]>
Date: Thu, 16 Jan 2014 22:56:47 +0000

On 16/01/14 22:06, Junio C Hamano wrote:
> Alexander Berntsen <[email-masked]> writes:
> 
>> Signed-off-by: Alexander Berntsen <[email-masked]>
>> ---
>>  .gitignore | 2 ++
>>  1 file changed, 2 insertions(+)
>>
>> diff --git a/.gitignore b/.gitignore
>> index b5f9def..2905c21 100644
>> --- a/.gitignore
>> +++ b/.gitignore
>> @@ -240,3 +240,5 @@
>>  *.pdb
>>  /Debug/
>>  /Release/
>> +*~
>> +.*.swp
> 
> I personally do not mind listing these common ones too much, but if
> I am not mistaken, our policy on this file so far has been that it
> lists build artifacts, and not personal preference (the *.swp entry
> is useless for those who never use vim, for example).
> 
> These paths that depend on your choice of the editor and other tools
> can still be managed in your personal .git/info/exclude in the
> meantime.

As a vim user, I have these set in my ~/.gitignore file, which I refer
to from ~/.gitconfig using core.excludesfile. ;-)

ATB,
Ramsay Jones